---
schema_version: "1"
id: f9c061a18e202ef758df9a185938fb0e0349ded9f8f4f1f17e1614f6e4104974
title: Delete Lightning Experience Event Series
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/do-me/dome-event-series-delete.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/dome-event-series-delete.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 4cc5a1858f2cc54de6c648ee0fe90555de701eb1e7197bb3536af7c491779a00
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Delete Lightning Experience Event Series

Use the HTTP DELETE method to remove one or more IsRecurrence2 events in a series. You can remove a single event, all events following and including a specific event, or an entire event series.

## Delete a Single Event in a Series

Use the [sObject Rows](https://developer.salesforce.com/docs/platform/api-rest/resources/resources-sobject-retrieve.md) resource to delete event records. To delete a single occurrence in a series, specify the event ID and use the [DELETE method](https://developer.salesforce.com/docs/platform/api-rest/guide/dome-delete-record.md) of the resource to delete a record.

## Delete Multiple Events or All Events from a Series

To delete all events in a series from a specific occurrence and onwards, specify the event ID and use the DELETE method of the resource to delete a record. When calling this method, IsRecurrence2 must be true and IsRecurrence2Exclusion must be false.

To delete an entire event series, specify the event ID of the first occurrence in the series and use the DELETE method of the resource to delete a record.

**Example for deleting multiple events or all events from a series**

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Event/00Uxx0000000000/fromThisEventOnwards -H "Authorization: Bearer token" -X DELETE
```

**Example request body**

```nolang
None needed
```

**Example response body after successfully deleting events**

```nolang
{
success: We’re deleting the selected events from the series. Wait for all events to be removed. 
}
```

## Considerations

Deleting from an event onwards doesn’t support calls from events that:

-   Occurred before the original value of Recurrence2PatternStartDate.
-   Are defined as child events.

If the event series originated outside of Salesforce and the event ID of the first occurrence is unavailable, you can’t delete all events in a series. Instead, delete events from a specific occurrence onwards.

